package org.implab.gradle.common.dsl;

import org.gradle.api.Task;
import org.gradle.api.tasks.TaskProvider;

public interface TasksMixin {

    default TaskProvider<Task> task(String name) {
        return task(name, Task.class);
    }

    <T extends Task> TaskProvider<T> task(String name, Class<T> clazz);
}
